
Redmine - Feature #31027

Upgrade to Rails 4.2.11.1

2019-03-14 00:24 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Rails support Estimated time: 0.00 hour

Target version: 3.4.10   

Resolution: Fixed   

Description

Copied from #31026.

https://weblog.rubyonrails.org/2019/3/13/Rails-4-2-5-1-5-1-6-2-have-been-released/

Rails 4.2.11.1, 5.0.7.2, 5.1.6.2, 5.2.2.1, and 6.0.0.beta3 have been released! These contain the following important security

fixes. It is recommended that users upgrade as soon as possible:

 Current Rails versions:

4.0.2 (2019-02-21) is using Rails 5.2.2 (https://svn.redmine.org/redmine/tags/4.0.2/Gemfile)

3.4.9 (2019-02-21) is using Rails 4.2.11 (https://svn.redmine.org/redmine/tags/3.4.9/Gemfile)

It might be helpful to allow patch version upgrades (`~>`) so in cases like this users of Redmine could `bundle update rails` to get the

latest versions before an official update of Redmine is available.

Related issues:

Copied from Redmine - Feature #31026: Upgrade to Rails 5.2.2.1 Closed

Associated revisions

Revision 17945 - 2019-03-14 01:44 - Go MAEDA

Upgrade to Rails 4.2.11.1 (#31027).

Revision 19077 - 2019-11-16 11:00 - Jean-Philippe Lang

Upgrade to Rails 4.2.11.1 (#31027).

History

#1 - 2019-03-14 00:24 - Go MAEDA

- Copied from Feature #31026: Upgrade to Rails 5.2.2.1 added

#2 - 2019-03-14 00:26 - Go MAEDA

- Subject changed from Upgrade to Rails 5.2.2.1 to Upgrade to Rails4.2.11.1

- Description updated

- Target version changed from 4.0.3 to 3.4.10

#3 - 2019-03-14 00:28 - Go MAEDA

- Subject changed from Upgrade to Rails4.2.11.1 to Upgrade to Rails 4.2.11.1

#4 - 2019-03-14 01:44 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed.
